Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.man.cs.img.owl.io.html
Class OntologyRenderer

    java.lang.Object
      |
      +--uk.ac.man.cs.img.owl.io.html.OntologyRenderer

All Implemented Interfaces:
  ShortFormProvider

public class OntologyRenderer
extends Object
implements ShortFormProvider

Constructor Summary
`OntologyRenderer(OWLOntology ontology)`

Method Summary
`Linker` | `defaultLinker()`
`String` | `footer()`
`void` | `generateShortNames()`
`String` | `header()`
`void` | `listClasses(PrintWriter pw, Linker linker)`
`void` | `listDataProperties(PrintWriter pw, Linker linker)`
`void` | `listIndividuals(PrintWriter pw, Linker linker)`
`void` | `listObjectProperties(PrintWriter pw, Linker linker)`
`static void` | `main(String[] args)`
`void` | `renderAnnotationProperty(OWLAnnotationProperty prop, PrintWriter pw, Linker linker)`
`void` | `renderClass(OWLClass clazz, PrintWriter pw, Linker linker)`
`void` | `renderClassAxiom(OWLClassAxiom axiom, PrintWriter pw, Linker linker)`
`void` | `renderDataProperty(OWLDataProperty prop, PrintWriter pw, Linker linker)`
`void` | `renderDataType(OWLDataType datatype, PrintWriter pw, Linker linker)`
`void` | `renderIndividual(OWLIndividual ind, PrintWriter pw, Linker linker)`
`void` | `renderIndividualAxiom(OWLIndividualAxiom axiom, PrintWriter pw, Linker linker)`
`void` | `renderObjectProperty(OWLObjectProperty prop, PrintWriter pw, Linker linker)`
`void` | `renderPropertyAxiom(OWLPropertyAxiom axiom, PrintWriter pw, Linker linker)`
`void` | `renderURI(URI uri, PrintWriter pw, Linker linker)`
`String` | `shortForm(URI uri)`
`void` | `writeShortNames(PrintWriter pw)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OntologyRenderer

    public OntologyRenderer(OWLOntology ontology)

Method Detail

### listClasses

    public void listClasses(PrintWriter pw,
                            Linker linker)
                     throws OWLException

    `OWLException`

### listObjectProperties

    public void listObjectProperties(PrintWriter pw,
                                     Linker linker)
                              throws OWLException

    `OWLException`

### listDataProperties

    public void listDataProperties(PrintWriter pw,
                                   Linker linker)
                            throws OWLException

    `OWLException`

### listIndividuals

    public void listIndividuals(PrintWriter pw,
                                Linker linker)
                         throws OWLException

    `OWLException`

### renderURI

    public void renderURI(URI uri,
                          PrintWriter pw,
                          Linker linker)
                   throws OWLException

    `OWLException`

### renderClass

    public void renderClass(OWLClass clazz,
                            PrintWriter pw,
                            Linker linker)
                     throws OWLException

    `OWLException`

### renderIndividual

    public void renderIndividual(OWLIndividual ind,
                                 PrintWriter pw,
                                 Linker linker)
                          throws OWLException

    `OWLException`

### renderAnnotationProperty

    public void renderAnnotationProperty(OWLAnnotationProperty prop,
                                         PrintWriter pw,
                                         Linker linker)
                                  throws OWLException

    `OWLException`

### renderObjectProperty

    public void renderObjectProperty(OWLObjectProperty prop,
                                     PrintWriter pw,
                                     Linker linker)
                              throws OWLException

    `OWLException`

### renderDataProperty

    public void renderDataProperty(OWLDataProperty prop,
                                   PrintWriter pw,
                                   Linker linker)
                            throws OWLException

    `OWLException`

### renderDataType

    public void renderDataType(OWLDataType datatype,
                               PrintWriter pw,
                               Linker linker)
                        throws OWLException

    `OWLException`

### renderClassAxiom

    public void renderClassAxiom(OWLClassAxiom axiom,
                                 PrintWriter pw,
                                 Linker linker)
                          throws OWLException

    `OWLException`

### renderPropertyAxiom

    public void renderPropertyAxiom(OWLPropertyAxiom axiom,
                                    PrintWriter pw,
                                    Linker linker)
                             throws OWLException

    `OWLException`

### renderIndividualAxiom

    public void renderIndividualAxiom(OWLIndividualAxiom axiom,
                                      PrintWriter pw,
                                      Linker linker)
                               throws OWLException

    `OWLException`

### generateShortNames

    public void generateShortNames()

### writeShortNames

    public void writeShortNames(PrintWriter pw)

### header

    public String header()

### footer

    public String footer()

### defaultLinker

    public Linker defaultLinker()

### shortForm

    public String shortForm(URI uri)

  Specified by:
    `shortForm` in interface `ShortFormProvider`

### main

    public static void main(String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb